# $Revision: 1.17 $, $Date: 2009/03/28 22:50:33 $
# TODO:
#   - there is also support for apache1 in scgi-1.2.tar.gz
#   - there is cgi2scgi.c (CGI script that forwards requests to a SCGI server)
#     which may be compiled and instaled in cgi-bin
#   - python-scgi not tested; apache-mod_scgi works for me
#
# Conditional build:
%bcond_without	apache		# don't build the apache module
#
%define		apxs	/usr/sbin/apxs
Summary:	SCGI - a replacement for the Common Gateway Interface (CGI)
Summary(pl.UTF-8):	SCGI - zastępnik dla Common Gateway Interface (CGI)
Name:		scgi
Version:	1.13
Release:	2
Epoch:		0
License:	CNRI Open Source License/MIT
Group:		Networking/Daemons
Source0:	http://python.ca/scgi/releases/%{name}-%{version}.tar.gz
# Source0-md5:	5cc79e59130ae9efc20388cc8ce906ba
Source1:	apache-mod_%{name}.conf
URL:		http://www.mems-exchange.org/software/scgi/
%if %{with apache}
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0
%endif
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The SCGI protocol is a replacement for the Common Gateway Interface
(CGI) protocol. It is a standard for applications to interface with
HTTP servers. It is similar to FastCGI but is designed to be easier to
implement.

%description -l pl.UTF-8
Protokół SCGI może być używany zamiast protokołu Common Gateway
Interface (CGI). Jest standardem komunikacji miedzy aplikacją a
serwerem HTTP. Jest podobny do FastCGI ale zaprojektowany tak, by być
prostszym do zaimplementowania.

%package -n apache-mod_scgi
Summary:	SCGI - a replacement for the Common Gateway Interface (CGI)
Summary(pl.UTF-8):	SCGI - zastępnik dla Common Gateway Interface (CGI)
Group:		Networking/Daemons
Requires:	apache(modules-api) = %apache_modules_api
%pyrequires_eq  python-modules

%description -n apache-mod_scgi
The SCGI protocol is a replacement for the Common Gateway Interface
(CGI) protocol. It is a standard for applications to interface with
HTTP servers. It is similar to FastCGI but is designed to be easier to
implement.

In this package you can find an Apache module named mod_scgi that
implements the client side of the protocol.

%description -n apache-mod_scgi -l pl.UTF-8
Protokół SCGI może być używany zamiast protokołu Common Gateway
Interface (CGI). Jest standardem komunikacji miedzy aplikacją a
serwerem HTTP. Jest podobny do FastCGI ale zaprojektowany tak, by być
prostszym do zaimplementowania.

W tym pakiecie można znaleźć moduł dla serwera Apache nazwany
mod_scgi, który implementuje klienta protokołu SCGI.

%package -n python-scgi
Summary:	A Python package that implements the server side of the SCGI protocol
Summary(pl.UTF-8):	Moduł Pythona implementujący serwer protokołu SCGI
Group:		Libraries/Python
%pyrequires_eq	python-modules

%description -n python-scgi
The SCGI protocol is a replacement for the Common Gateway Interface
(CGI) protocol. It is a standard for applications to interface with
HTTP servers. It is similar to FastCGI but is designed to be easier to
implement.

In this package you can find a Python package named scgi that
implements the server side of the protocol.

%description -n python-scgi -l pl.UTF-8
Protokół SCGI może być używany zamiast protokołu Common Gateway
Interface (CGI). Jest standardem komunikacji miedzy aplikacją a
serwerem HTTP. Jest podobny do FastCGI ale zaprojektowany tak, by być
prostszym do zaimplementowania.

W tym pakiecie można znaleźć moduł Pythona implementujący serwer
protokołu SCGI.

%prep
%setup -q

%build
%if %{with apache}
cd apache2
%{apxs} -c mod_scgi.c
cd ..
%endif
env CFLAGS="%{rpmcflags}" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%if %{with apache}
install -d $RPM_BUILD_ROOT%{_libdir}/apache
install -d $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d

install apache2/.libs/mod_scgi.so $RPM_BUILD_ROOT%{_libdir}/apache
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/60_mod_scgi.conf
%endif

%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post -n apache-mod_scgi
%service httpd restart

%preun -n apache-mod_scgi
if [ "$1" = "0" ]; then
	%service httpd restart
fi

%if %{with apache}
%files -n apache-mod_scgi
%defattr(644,root,root,755)
%doc CHANGES.txt apache2/README.txt LICENSE.txt doc/LICENSE_110.txt
%attr(755,root,root) %{_libdir}/apache/mod_%{name}.so
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd/conf.d/*.conf
%endif

%files -n python-%{name}
%defattr(644,root,root,755)
%doc LICENSE.txt doc/LICENSE_110.txt
%dir %{py_sitedir}/scgi
%attr(755,root,root) %{py_sitedir}/scgi/passfd.so
%{py_sitedir}/scgi/*.py[co]
%{py_sitedir}/scgi-*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: scgi.spec,v $
Revision 1.17  2009/03/28 22:50:33  areq
- install conf in /etc/httpd/conf.d/
- rel 2

Revision 1.16  2008/10/14 18:03:29  qboosh
- .so perms in python-
- BR python 2.5 for .egg-info
- moved pyrequires_eq to proper subpackage

Revision 1.15  2008/10/14 17:52:33  qboosh
- bcond header

Revision 1.14  2008/10/14 11:45:33  jajcus
- Version: 1.13
- without_apache bcond added

Revision 1.13  2007-03-13 09:51:25  sparky
- place # SourceN-md5: just after SourceN:

Revision 1.12  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.10  2006/07/26 15:52:04  glen
- %fix %defattr placement

Revision 1.9  2006/07/26 15:50:56  glen
- remove extra unneeded slash

Revision 1.8  2006/01/04 14:21:42  glen
- fixed post scripts in wrong package
- added apache_modules_api to apache package
- use %service to respect skip auto restarts of services

Revision 1.7  2005/11/21 07:00:24  qboosh
- fixed Name issue (Name=scgi, no main binary package)

Revision 1.6  2005/06/01 17:11:49  qboosh
- cosmetics; note: Name or spec filename should be changed to match each other

Revision 1.5  2005/05/29 07:27:19  radzio
- apache-mod_scgi works fine for me
- ptyhon-scgi not tested
- rel 1, STBR

Revision 1.4  2005/05/28 21:59:15  radzio
- install apache-mod_scgi.conf in proper place

Revision 1.3  2005/05/28 15:41:53  radzio
- add mod_scgi.conf in %file section

Revision 1.2  2005/05/28 15:32:35  radzio
- add Source1 (apache-mod_scgi.conf)
- add %post and %preun section for package apache-mod_scgi
- rel 0.9 (need tests)

Revision 1.1  2005/05/28 14:50:26  radzio
- initial release (see TODO on top of spec)
